%define _disable_ld_no_undefined 1
# (luigiwalser, ngompa): httpd build hates parallelization
%define _smp_ncpus_max 8

%define contentdir %{_datadir}/httpd
%define confdir %{_sysconfdir}/httpd/conf
%define docroot /var/www
%define suexec_caller apache
%define vstring Mageia

%{?!maxmodules:%global maxmodules 128}
%{?!serverlimit:%global serverlimit 1024}

Summary:    The most widely used Web server on the Internet
Name:       apache
Version:    2.4.49
Release:    %mkrel 1
Group:      System/Servers
License:    ASL 2.0
URL:        http://httpd.apache.org
Source0:    http://www.apache.org/dist/httpd/httpd-%{version}.tar.bz2
Source1:    http://www.apache.org/dist/httpd/httpd-%{version}.tar.bz2.asc
Source9:    htcacheclean.service
Source10:   htcacheclean.sysconfig
Source14:   httpd.tmpfiles
Source15:   httpd.service
Source16:   httpd.sysconfig

Source20:   httpd.conf

Source30:   base.conf
Source31:   mpm.conf
Source32:   mod_lua.conf
Source33:   mod_cgi.conf
Source34:   mod_dav.conf
Source35:   mod_proxy.conf
Source36:   mod_proxy_html.conf
Source37:   mod_ssl.conf
Source38:   mod_ldap.conf
Source39:   mod_cache.conf
Source40:   mod_dbd.conf
Source41:   mod_suexec.conf
Source42:   mod_userdir.conf
Source43:   mod_systemd.conf
Source44:   mod_session.conf
Source45:   mod_http2.conf
Source46:   mod_brotli.conf

Source50:   httpd-security.conf
Source51:   httpd-ssl.conf

Source60:   default_vhosts.conf
Source61:   default_ssl_vhost.conf

# build/scripts patches
Patch1: httpd-2.4.1-apctl.patch
Patch2: httpd-2.4.9-apxs.patch
Patch3: httpd-2.4.1-deplibs.patch
Patch5: httpd-2.4.3-layout.patch
Patch6: httpd-2.4.3-apctl-systemd.patch
Patch7: httpd-2.4.10-detect-systemd.patch
# Features/functional changes
Patch20: httpd-2.4.3-release.patch
Patch23: httpd-2.4.4-export.patch
Patch24: httpd-2.4.1-corelimit.patch
#Patch26: httpd-2.4.4-r1337344+.patch
Patch27: httpd-2.4.2-icons.patch
Patch28: httpd-2.4.4-r1332643+.patch
# http://marc.info/?l=apache-httpd-dev&m=134867223818085&w=2
Patch29: httpd-2.4.27-systemd.patch
Patch30: httpd-2.4.4-cachehardmax.patch
Patch31: httpd-2.4.18-sslmultiproxy.patch
Patch34: httpd-2.4.17-socket-activation.patch
#Patch35: httpd-2.4.17-sslciphdefault.patch
# Bug fixes
# http://issues.apache.org/bugzilla/show_bug.cgi?id=32524
Patch100:   httpd-2.4.25-ab_source_address.patch
Patch101:   httpd-2.2.10-ldap_auth_now_modular_in-apr-util-dbd-ldap_fix.diff

Provides:   webserver
Provides:   apache-mod_actions = %{version}
Provides:   apache-mod_alias = %{version}
Provides:   apache-mod_asis = %{version}
Provides:   apache-mod_auth_basic = %{version}
Provides:   apache-mod_auth_digest = %{version}
Provides:   apache-mod_authn_anon = %{version}
Provides:   apache-mod_authn_dbm = %{version}
Provides:   apache-mod_authn_default = %{version}
Provides:   apache-mod_authn_file = %{version}
Provides:   apache-mod_authz_dbm = %{version}
Provides:   apache-mod_authz_default = %{version}
Provides:   apache-mod_authz_groupfile = %{version}
Provides:   apache-mod_authz_host = %{version}
Provides:   apache-mod_authz_owner = %{version}
Provides:   apache-mod_authz_user = %{version}
Provides:   apache-mod_autoindex = %{version}
Provides:   apache-mod_bucketeer = %{version}
Provides:   apache-mod_case_filter = %{version}
Provides:   apache-mod_case_filter_in = %{version}
Provides:   apache-mod_cern_meta = %{version}
Provides:   apache-mod_cgi = %{version}
Provides:   apache-mod_cgid = %{version}
Provides:   apache-mod_charset_lite = %{version}
Provides:   apache-mod_deflate = %{version}
Provides:   apache-mod_dir = %{version}
Provides:   apache-mod_dumpio = %{version}
Provides:   apache-mod_echo = %{version}
Provides:   apache-mod_env = %{version}
Provides:   apache-mod_example = %{version}
Provides:   apache-mod_expires = %{version}
Provides:   apache-mod_ext_filter = %{version}
Provides:   apache-mod_filter = %{version}
Provides:   apache-mod_headers = %{version}
Provides:   apache-mod_ident = %{version}
Provides:   apache-mod_imagemap = %{version}
Provides:   apache-mod_include = %{version}
Provides:   apache-mod_info = %{version}
Provides:   apache-mod_log_config = %{version}
Provides:   apache-mod_log_forensic = %{version}
Provides:   apache-mod_logio = %{version}
Provides:   apache-mod_mime_magic = %{version}
Provides:   apache-mod_mime = %{version}
Provides:   apache-mod_negotiation = %{version}
Provides:   apache-mod_optional_fn_export = %{version}
Provides:   apache-mod_optional_fn_import = %{version}
Provides:   apache-mod_optional_hook_export = %{version}
Provides:   apache-mod_optional_hook_import = %{version}
Provides:   apache-mod_rewrite = %{version}
Provides:   apache-mod_setenvif = %{version}
Provides:   apache-mod_speling = %{version}
Provides:   apache-mod_status = %{version}
Provides:   apache-mod_unique_id = %{version}
Provides:   apache-mod_usertrack = %{version}
Provides:   apache-mod_version = %{version}
Provides:   apache-mod_vhost_alias = %{version}
Provides:   apache-mod_systemd = %{version}

Obsoletes:  apache-base < 2.4.44
Obsoletes:  apache-modules < 2.4.44
Obsoletes:  apache-conf < 2.4.44
Obsoletes:  apache-mpm-event < 2.4.44
Obsoletes:  apache-mpm-prefork < 2.4.44
Obsoletes:  apache-mpm-peruser < 2.4.44
Obsoletes:  apache-mpm-worker < 2.4.44
Obsoletes:  apache-mpm-itk < 2.4.44

Requires(pre):  webserver-base
Requires:       webserver-base
# needed for /etc/mime.types file
Requires:       mailcap

Requires(post):  systemd >= %{systemd_required_version}
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

BuildRequires:  pkgconfig(apr-1) >= 1.5.0
BuildRequires:  pkgconfig(apr-util-1) >= 1.4.1
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  db5-devel
BuildRequires:  pkgconfig(expat)
BuildRequires:  gdbm-devel
BuildRequires:  pkgconfig(libsasl2)
BuildRequires:  libtool >= 1.4.2
BuildRequires:  openldap-devel
BuildRequires:  pkgconfig(jansson)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(libcap)
BuildRequires:  pkgconfig(lua)
BuildRequires:  pkgconfig(systemd)
BuildRequires:  libcurl-devel
BuildRequires:  multiarch-utils >= 1.0.3
BuildRequires:  pkgconfig(libnghttp2) >= 1.8.0
BuildRequires:  pkgconfig(libbrotlienc)

%description
This package contains the main binary of apache, a powerful, full-featured,
efficient and freely-available Web server. Apache is also the most popular Web
server on the Internet.

This version of apache is fully modular, and many modules are available in
pre-compiled formats, like PHP and mod_auth_external.

The package was built to support a maximum of %{maxmodules} dynamically
loadable modules, and a ServerLimit of %{serverlimit}. You can change these
values at RPM build time by using for example:
--define 'maxmodules 512' --define 'serverlimit 2048'

%package    mod_dav
Summary:    Distributed Authoring and Versioning (WebDAV)
Group:      System/Servers
# ensure initscript presence
Requires(post): apache
Requires(postun): apache
Requires:   apache >= %{version}-%{release}
Provides:   apache-mod_dav_fs = %{version}
Provides:   apache-mod_dav_lock = %{version}

%description    mod_dav
This module provides class 1 and class 2 WebDAV ('Web-based Distributed
Authoring and Versioning') functionality for Apache.

This extension to the HTTP protocol allows creating, moving, copying, and
deleting resources and collections on a remote web server.

%package    mod_ldap
Summary:    LDAP connection pooling and result caching DSO:s
Group:      System/Servers
# ensure initscript presence
Requires(post): apache
Requires(postun): apache
Requires:   apache >= %{version}-%{release}
Requires:   apr-util-dbd-ldap
Provides:   apache-mod_authnz_ldap = %{version}
Obsoletes:  apache-mod_auth_ldap < 2.4.44

%description    mod_ldap
This module was created to improve the performance of websites relying on
backend connections to LDAP servers. In addition to the functions provided by
the standard LDAP libraries, this module adds an LDAP connection pool and an
LDAP shared memory cache.

%package mod_session
Group:      System/Servers
Summary:    Session interface for the Apache HTTP Server
# ensure initscript presence
Requires(post): apache
Requires(postun): apache
Requires:   apache >= %{version}-%{release}
Requires:   apr-util-openssl

%description mod_session
The mod_session module and associated backends provide an abstract
interface for storing and accessing per-user session data.

%package    mod_cache
Summary:    Content cache keyed to URIs
Group:      System/Servers
# ensure initscript presence
Requires(post): apache
Requires(postun): apache
Requires:   apache >= %{version}-%{release}
Recommends:   apache-htcacheclean = %{version}-%{release}

%description    mod_cache
mod_cache implements an RFC 2616 compliant HTTP content caching filter, with
support for the caching of content negotiated responses containing the Vary
header.

mod_cache requires the services of one or more storage management modules. One
storage management module is included in the base Apache distribution:
 * mod_cache_disk: implements a disk based storage manager

%package    mod_proxy
Summary:    HTTP/1.1 proxy/gateway server
Group:      System/Servers
# ensure initscript presence
Requires(post): apache
Requires(postun): apache
Requires:   apache >= %{version}-%{release}
Provides:   apache-mod_proxy_balancer = %{version}
Provides:   apache-mod_proxy_connect = %{version}
Provides:   apache-mod_proxy_ftp = %{version}
Provides:   apache-mod_proxy_http = %{version}
BuildRequires:  pkgconfig(libxml-2.0)

%description    mod_proxy
This module implements a proxy/gateway for Apache. It implements proxying
capability for FTP, CONNECT (for SSL), HTTP/0.9, HTTP/1.0, and HTTP/1.1. The
module can be configured to connect to other proxy modules for these and other
protocols.

%package mod_proxy_html
Summary:    HTML and XML content filters for the Apache HTTP Server
Group:      System/Servers
# ensure initscript presence
Requires(post): apache
Requires(postun): apache
Requires:   apache >= %{version}-%{release}

%description mod_proxy_html
The mod_proxy_html and mod_xml2enc modules provide filters which can
transform and modify HTML and XML content.

%package    mod_suexec
Summary:    Allows CGI scripts to run as a specified user and Group
Group:      System/Servers
# ensure initscript presence
Requires(post): apache
Requires(postun): apache
Requires:   apache >= %{version}-%{release}

%description    mod_suexec
This module, in combination with the suexec support program
allows CGI scripts to run as a specified user and Group.

Normally, when a CGI or SSI program executes, it runs as the
same user who is running the web server.

%package    mod_userdir
Summary:    User-specific directories
Group:      System/Servers
# ensure initscript presence
Requires(post): apache
Requires(postun): apache
Requires:   apache >= %{version}-%{release}

%description    mod_userdir
This module allows user-specific directories to be accessed using the
http://example.com/~username/ syntax.

%package    mod_ssl
Summary:    Strong cryptography using the SSL and TLS protocols
Group:      System/Servers
# ensure initscript presence
Requires(post): apache
Requires(postun): apache
Requires:   apache >= %{version}-%{release}
Requires(post): openssl

%description    mod_ssl
This module provides SSL v2/v3 and TLS v1 support for the Apache HTTP Server.
It was contributed by Ralf S. Engeschall based on his mod_ssl project and
originally derived from work by Ben Laurie.

This module relies on OpenSSL to provide the cryptography engine.

This module also have native SNI support, please look here for more
information:

 * http://daniel-lange.com/plugin/tag/sni
 * https://sni.velox.ch/

%package    mod_dbd
Summary:    Manages SQL database connections
Group:      System/Servers
# ensure initscript presence
Requires(post): apache
Requires(postun): apache
Requires:   apache >= %{version}-%{release}
Requires:   apr-util-dbd-ldap
Recommends:   apr-util-dbd-freetds
Recommends:   apr-util-dbd-mysql
Recommends:   apr-util-dbd-odbc
Recommends:   apr-util-dbd-pgsql
Recommends:   apr-util-dbd-sqlite3

%description    mod_dbd
mod_dbd manages SQL database connections using apr_dbd. It provides database
connections on request to modules requiring SQL database functions, and takes
care of managing databases with optimal efficiency and scalability for both
threaded and non-threaded MPMs.

%package    mod_http2
Summary:    This module provides HTTP/2 (RFC 7540) support
Group:      System/Servers
# ensure initscript presence
Requires(post): apache
Requires(postun): apache
Requires:   apache >= %{version}-%{release}
Recommends: nghttp2 >= 1.8.0

%description    mod_http2
This module provides HTTP/2 (RFC 7540) support for the Apache HTTP Server.

This module relies on libnghttp2 to provide the core http/2 engine.

%package    mod_brotli
Summary:    Google Brotli compression for apache
Group:      System/Servers
# ensure initscript presence
Requires(post): apache
Requires(postun): apache
Requires:   apache >= %{version}-%{release}
Provides:   apache-mod_brotli = %{version}

%description    mod_brotli
The mod_brotli module provides the BROTLI_COMPRESS output filter that allows output from your server to be compressed using the brotli compression format before being sent to the client over the network. This module uses the Brotli library found at https://github.com/google/brotli.


%package    htcacheclean
Summary:    Clean up the disk cache (for apache-mod_disk_cache)
Group:      System/Servers
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description    htcacheclean
htcacheclean is used to keep the size of mod_cache_disk's storage within a
certain limit. This tool can run either manually or in daemon mode. When
running in daemon mode, it sleeps in the background and checks the cache
directories at regular intervals for cached content to be removed.

%package    devel
Summary:    Module development tools for the apache web server
Group:      Development/C
Requires:   apache = %{version}-%{release}
Requires:   apr-devel >= 1:1.4.5
Requires:   apr-util-devel >= 1.4.1
Requires:   db-devel
Requires:   expat-devel
Requires:   gdbm-devel
Requires:   libsasl-devel
Requires:   openssl-devel
Requires:   pcre-devel >= 5.0
Requires:   zlib-devel
# (tv) because config_vars.mk contains "LDFLAGS = -lsystemd...":
Requires:   pkgconfig(systemd)

%description    devel
The apache-devel package contains the source code for the apache Web server and
the APXS binary you'll need to build Dynamic Shared Objects (DSOs) for apache.

If you are installing the apache Web server and you want to be able to compile
or develop additional modules for apache, you'll need to install this package.

%package    doc
Summary:    The apache Manual
Group:      System/Servers
BuildArch:  noarch

%description doc
This package contains the apache server documentation in HTML format.

Please view the documentation by starting the apache server and your
favorite web browser and point to this URL: http://localhost/manual

%prep
%setup -q -n httpd-%{version}
%patch1 -p1 -b .apctl
%patch2 -p1 -b .apxs
%patch3 -p1 -b .deplibs
%patch5 -p1 -b .patchlayout
%patch6 -p1 -b .apctlsystemd
%patch7 -p1 -b .detectsystemd

%patch23 -p1 -b .export
%patch24 -p1 -b .corelimit
#patch26 -p1 -b .r1337344+
%patch27 -p1 -b .icons
%patch29 -p1 -b .systemd
%patch30 -p1 -b .cachehardmax
# No longer applies
#patch31 -p1 -b .sslmultiproxy
%patch34 -p1 -b .socketactivation
#patch35 -p1 -b .sslciphdefault

%patch100 -p1 -b .ab_source_address.droplet
%patch101 -p0 -b .PR45994.droplet

# Patch in vendor/release string
sed "s/@RELEASE@/%{vstring}/" < %{PATCH20} | patch -p1

# forcibly prevent use of bundled apr, apr-util, pcre
rm -rf srclib/{apr,apr-util,pcre}

# fix apxs
perl -pi \
    -e 's|\@exp_installbuilddir\@|%{_libdir}/httpd/build|;' \
    -e 's|get_vars\("prefix"\)|"%{_libdir}/httpd/build"|;' \
    -e 's|get_vars\("sbindir"\) . "/envvars"|"\$installbuilddir/envvars"|;' \
    support/apxs.in

# correct perl paths
find -type f -print0 | xargs -0 perl -pi \
    -e 's|/usr/local/bin/perl|perl|g;' \
    -e 's|/usr/local/bin/perl5|perl|g;' \
    -e 's|/path/to/bin/perl|perl|g;'

# bump max modules
perl -pi \
    -e 's/DYNAMIC_MODULE_LIMIT \d+/DYNAMIC_MODULE_LIMIT %{maxmodules}/;' \
    include/httpd.h

# bump server limit
perl -pi \
    -e 's/DEFAULT_SERVER_LIMIT \d+/DEFAULT_SERVER_LIMIT %{serverlimit}/' \
    server/mpm/prefork/prefork.c \
    server/mpm/worker/worker.c \
    server/mpm/event/event.c

# don't try to touch srclib
perl -pi -e "s|^SUBDIRS = .*|SUBDIRS = os server modules support|g" Makefile.in

# this will only work if configured correctly in the config (FullOs)...
cp server/core.c server/core.c.untagged

%build
%serverbuild

# regenerate configure scripts
autoheader && autoconf || exit 1

export CFLAGS=$RPM_OPT_FLAGS
ldflags_hacky_workaround_for_systemd_lib_not_added="-lsystemd "
export LDFLAGS="${ldflags_hacky_workaround_for_systemd_lib_not_added}-Wl,-z,relro,-z,now"

# Hard-code path to links to avoid unnecessary builddep
export LYNX_PATH=/usr/bin/links

%configure \
    --prefix=%{_sysconfdir}/httpd \
    --exec-prefix=%{_prefix} \
    --bindir=%{_bindir} \
    --sbindir=%{_sbindir} \
    --mandir=%{_mandir} \
    --libdir=%{_libdir} \
    --sysconfdir=%{_sysconfdir}/httpd/conf \
    --includedir=%{_includedir}/httpd \
    --libexecdir=%{_libdir}/httpd/modules \
    --datadir=%{contentdir} \
    --enable-layout=Fedora \
    --with-installbuilddir=%{_libdir}/httpd/build \
    --enable-mpms-shared=all \
    --with-apr=%{_bindir}/apr-1-config \
    --with-apr-util=%{_bindir}/apu-1-config \
    --enable-suexec \
    --with-suexec \
    --with-suexec-caller=%{suexec_caller} \
    --with-suexec-userdir=public_html \
    --with-suexec-docroot=%{docroot} \
    --without-suexec-logfile \
    --with-suexec-syslog \
    --with-suexec-bin=%{_sbindir}/suexec \
    --with-suexec-uidmin=500 \
    --with-suexec-gidmin=500 \
    --with-systemd \
    --enable-systemd \
    --enable-pie \
    --with-pcre \
    --enable-mods-shared=all \
    --enable-ssl \
    --with-ssl \
    --disable-distcache \
    --enable-proxy \
    --enable-proxy-fdpass \
    --enable-cache \
    --enable-disk-cache \
    --enable-ldap \
    --enable-authnz-ldap \
    --enable-cgid \
    --enable-cgi \
    --enable-authn-anon \
    --enable-bucketeer \
    --enable-case-filter \
    --enable-case-filter-in \
    --enable-cern_meta \
    --enable-ident \
    --enable-imagemap \
    --enable-optional-fn-export \
    --enable-optional-fn-import \
    --enable-optional-hook-export \
    --enable-optional-hook-import

# parallel build fails on the build host
%__make

%install
%make_install INSTALL_SUEXEC=setuid

#Fix config_vars.mk, and add some MDK flags so all other modules
#can simply do "apxs -q VARIABLE" and know, for example, the exact
#release of apache-devel or the exact directory where the source is
#located.
CVMK="%{buildroot}%{_libdir}/httpd/build/config_vars.mk"
perl -pi \
    -e "s|%{_builddir}/httpd-%{version}|%{_usrsrc}/apache-%{version}|g;" \
    -e "s|%{buildroot}||g;" \
    -e "s|^EXTRA_INCLUDES.*|EXTRA_INCLUDES = `apr-1-config --includes` -I%{_includedir}/apache -I%{_includedir}/openssl|g;" \
     $CVMK

# fix libtool invocation
perl -pi \
    -e "s|^LIBTOOL.*|LIBTOOL = libtool|g;" \
    -e "s|^SH_LIBTOOL.*|SH_LIBTOOL = libtool|g;" \
    $CVMK

echo "ap_version = %{version}" >> $CVMK
echo "ap_release = %{release}" >> $CVMK

# fix some bugs and other stuff
perl -pi -e "s|%{_builddir}/httpd-%{version}|%{_usrsrc}/apache-%{version}|g" \
    %{buildroot}%{_libdir}/httpd/build/apr_rules.mk

# named config.nice files are in the devel package
rm -f %{buildroot}%{_libdir}/httpd/build/config.nice

# main configuration files
install -m 644 %{SOURCE20} %{buildroot}%{_sysconfdir}/httpd/conf/httpd.conf

# modules configuration files
install -d -m 755 %{buildroot}%{confdir}/modules.d
install -m 644 %{SOURCE30} %{buildroot}%{confdir}/modules.d/00_base.conf
install -m 644 %{SOURCE31} %{buildroot}%{confdir}/modules.d/00_mpm.conf
install -m 644 %{SOURCE32} %{buildroot}%{confdir}/modules.d/00_mod_lua.conf
install -m 644 %{SOURCE33} %{buildroot}%{confdir}/modules.d/01_mod_cgi.conf
install -m 644 %{SOURCE34} %{buildroot}%{confdir}/modules.d/00_mod_dav.conf
install -m 644 %{SOURCE35} %{buildroot}%{confdir}/modules.d/00_mod_proxy.conf
install -m 644 %{SOURCE36} %{buildroot}%{confdir}/modules.d/00_mod_proxy_html.conf
install -m 644 %{SOURCE37} %{buildroot}%{confdir}/modules.d/00_mod_ssl.conf
install -m 644 %{SOURCE38} %{buildroot}%{confdir}/modules.d/01_mod_ldap.conf
install -m 644 %{SOURCE39} %{buildroot}%{confdir}/modules.d/00_mod_cache.conf
install -m 644 %{SOURCE40} %{buildroot}%{confdir}/modules.d/02_mod_dbd.conf
install -m 644 %{SOURCE41} %{buildroot}%{confdir}/modules.d/00_mod_suexec.conf
install -m 644 %{SOURCE42} %{buildroot}%{confdir}/modules.d/00_mod_userdir.conf
install -m 644 %{SOURCE43} %{buildroot}%{confdir}/modules.d/00_mod_systemd.conf
install -m 644 %{SOURCE44} %{buildroot}%{confdir}/modules.d/01_mod_session.conf
install -m 644 %{SOURCE45} %{buildroot}%{confdir}/modules.d/01_mod_http2.conf
install -m 644 %{SOURCE46} %{buildroot}%{confdir}/modules.d/10_mod_brotli.conf

# generic server configuration files
install -d -m 755 %{buildroot}%{confdir}/conf.d
install -m 644 %{SOURCE50} %{buildroot}%{confdir}/conf.d/security.conf
install -m 644 %{SOURCE51} %{buildroot}%{confdir}/conf.d/ssl.conf
for file in mpm multilang-errordoc autoindex languages info userdir; do
    install -m 644 docs/conf/extra/httpd-$file.conf \
        %{buildroot}%{confdir}/conf.d/$file.conf
done

cat >> %{buildroot}%{confdir}/conf.d/userdir.conf <<EOF
<Directory "/home/*/public_html/cgi-bin">
    Options ExecCGI
    SetHandler cgi-script
</Directory>
EOF

# sites configuration files
install -d -m 755 %{buildroot}%{confdir}/sites.d
install -m 644 %{SOURCE60} %{buildroot}%{confdir}/sites.d/00_default_vhosts.conf
install -m 644 %{SOURCE61} %{buildroot}%{confdir}/sites.d/00_default_ssl_vhost.conf
install -m 644 docs/conf/extra/httpd-manual.conf \
    %{buildroot}%{confdir}/sites.d/manual.conf

# compatibility symlinks
pushd  %{buildroot}%{confdir}
    ln -s sites.d webapps.d
    ln -s sites.d vhosts.d
popd

# fix a msec safe cache for the ssl stuff
install -d %{buildroot}/var/cache/httpd/mod_ssl
touch %{buildroot}/var/cache/httpd/mod_ssl/scache.dir
touch %{buildroot}/var/cache/httpd/mod_ssl/scache.pag
touch %{buildroot}/var/cache/httpd/mod_ssl/scache.sem

# fix a msec safe cache for the mod_ldap LDAPSharedCacheFile
touch %{buildroot}/var/cache/httpd/mod_ldap_cache

install -d -m 755 %{buildroot}/var/cache/httpd/mod_proxy
install -d -m 755 %{buildroot}/var/lib/dav

# htcacheclean files
install -D -m 644 %{SOURCE9} %{buildroot}%{_unitdir}/htcacheclean.service
install -D -m 644 %{SOURCE10} %{buildroot}%{_sysconfdir}/sysconfig/htcacheclean

# httpd files
install -D -p -m 644 %{SOURCE14} %{buildroot}%{_tmpfilesdir}/httpd.conf
install -D -p -m 644 %{SOURCE15} %{buildroot}%{_unitdir}/httpd.service
install -D -p -m 644 %{SOURCE16} %{buildroot}%{_sysconfdir}/sysconfig/httpd

# fix man page paths
sed -e "s|/usr/local/apache2|/etc/httpd|" \
    < docs/man/httpd.8 > $RPM_BUILD_ROOT%{_mandir}/man8/httpd.8

# rpm macros
install -d -m 755 %{buildroot}%{_sysconfdir}/rpm/macros.d
cat > %{buildroot}%{_sysconfdir}/rpm/macros.d/httpd.macros <<EOF
%%_httpd_apxs %%{_bindir}/apxs
%%_httpd_confdir %{confdir}
%%_httpd_modconfdir  %{confdir}/modules.d
%%_httpd_siteconfdir %{confdir}/sites.d
%%_httpd_extconfdir %{confdir}/conf.d
%%_httpd_contentdir %{contentdir}
%%_httpd_moddir %%{_libdir}/httpd/modules
EOF

%multiarch_includes %{buildroot}%{_includedir}/httpd/ap_config_layout.h

# cleanup
rm -f %{buildroot}/var/www/html/*
rm -f %{buildroot}/var/www/cgi-bin/*
rm -f %{buildroot}%{_sysconfdir}/httpd/conf/mime.types
rm -rf %{buildroot}%{_sysconfdir}/httpd/conf/{extra,original}

# make some dangling soft links
pushd %{buildroot}%{_sysconfdir}/httpd
    ln -s ../..%{_localstatedir}/log/httpd logs
    ln -s ../..%{_libdir}/httpd/modules modules
    ln -s ../..%{_libdir}/httpd/build build
    ln -s /run/httpd run
popd

# install log rotation stuff
install -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d
cat > %{buildroot}%{_sysconfdir}/logrotate.d/httpd << EOF
/var/log/httpd/*_log /var/log/httpd/apache_runtime_status /var/log/httpd/ssl_mutex {
    rotate 5
    monthly
    missingok
    notifempty
    nocompress
    postrotate
        /bin/systemctl reload httpd.service > /dev/null 2>/dev/null || true
    endscript
}
EOF

# (dw) mpm packages don't automatically cause a restart, because on upgrade
# there will already be 2 restarts due to the main package and the modules, and
# if you want to run an mpm other than prefork, that has to be configured
# manually (via systemctl for systemd or sysconfig for sysvinit), so automatic
# restart is not appropriate.  Apache modules cause a restart via filetriggers,
# so that a restart can be done for modules, but only once, even if some of the
# modules are coming from other SRPMS.  Also, filetriggers are run right before
# posttrans, and this is important because on Apache version upgrades, the mpm
# needs to be upgraded before a restart because the modules may be dependent on
# new symbols in httpd.

%post
%_tmpfilescreate httpd
%_post_service httpd

%preun
%_preun_service httpd

%post mod_ldap
%create_ghostfile /var/cache/httpd/mod_ldap_cache apache root 0600

%post mod_ssl
%_create_ssl_certificate httpd

# create some ghost files
%create_ghostfile /var/cache/httpd/mod_ssl/scache.dir apache root 0600
%create_ghostfile /var/cache/httpd/mod_ssl/scache.pag apache root 0600
%create_ghostfile /var/cache/httpd/mod_ssl/scache.sem apache root 0600

%post htcacheclean
%_post_service htcacheclean

%preun htcacheclean
%_preun_service htcacheclean

%transfiletriggerin -p /usr/bin/perl --  /etc/httpd/conf/modules.d/ /etc/httpd/conf/modules/sites.d/ /etc/httpd/conf/modules/conf.d/ /etc/httpd/conf/modules/webapps.d/
use strict;

my (%installed, %removed);
while (my $line = <STDIN>) {
    my ($operation, $file) = $line =~ /^(.)(\S+)$/;
    if ($operation eq '+') {
        $installed{$file} = 1;
    } else {
        $removed{$file} = 1;
    }
}

my @new_files = grep { !$removed{$_} } keys %installed;
my @old_files = grep { !$installed{$_} } keys %removed;

# if there configuration files added or removed, a restart is needed
if (@new_files || @old_files) {
    system('systemctl try-restart httpd.service');
} else {
    system('systemctl reload-or-try-restart httpd.service');
}


%files
%doc ABOUT_APACHE README CHANGES LICENSE VERSIONING NOTICE
%doc docs/conf/extra/*.conf

%config(noreplace) %{_sysconfdir}/sysconfig/httpd
%config(noreplace) %{_sysconfdir}/logrotate.d/httpd
%dir %{_sysconfdir}/httpd
%exclude %{_sysconfdir}/httpd/conf/conf.d/ssl.conf
%dir %{_sysconfdir}/httpd/conf/conf.d
%dir %{_sysconfdir}/httpd/conf/sites.d
%dir %{_sysconfdir}/httpd/conf/modules.d
%{_sysconfdir}/httpd/conf/vhosts.d
%{_sysconfdir}/httpd/conf/webapps.d
%{_sysconfdir}/httpd/logs
%{_sysconfdir}/httpd/modules
%{_sysconfdir}/httpd/run
%config(noreplace) %{_sysconfdir}/httpd/conf/httpd.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/magic
%config(noreplace) %{_sysconfdir}/httpd/conf/modules.d/00_base.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/modules.d/00_mpm.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/modules.d/01_mod_cgi.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/modules.d/00_mod_lua.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/modules.d/00_mod_systemd.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/sites.d/00_default_vhosts.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/conf.d/*.conf
%exclude %{_sysconfdir}/httpd/conf/conf.d/userdir.conf

%{_tmpfilesdir}/httpd.conf
%{_unitdir}/httpd.service

%{_datadir}/httpd
%exclude %{_datadir}/httpd/manual

/var/www/cgi-bin

%{_bindir}/ab
%{_bindir}/dbmmanage
%{_bindir}/htdbm
%{_bindir}/htdigest
%{_bindir}/htpasswd
%{_bindir}/httxt2dbm
%{_bindir}/logresolve

%{_sbindir}/apachectl
%{_sbindir}/checkgid
%{_sbindir}/rotatelogs
%{_sbindir}/fcgistarter
%{_sbindir}/httpd

%{_libdir}/httpd/modules/mod_mpm_event.so
%{_libdir}/httpd/modules/mod_mpm_prefork.so
%{_libdir}/httpd/modules/mod_mpm_worker.so

%{_libdir}/httpd/modules/mod_actions.so
%{_libdir}/httpd/modules/mod_alias.so
%{_libdir}/httpd/modules/mod_asis.so
%{_libdir}/httpd/modules/mod_auth_basic.so
%{_libdir}/httpd/modules/mod_auth_digest.so
%{_libdir}/httpd/modules/mod_authn_anon.so
%{_libdir}/httpd/modules/mod_authn_dbm.so
%{_libdir}/httpd/modules/mod_authn_file.so
%{_libdir}/httpd/modules/mod_authz_dbm.so
%{_libdir}/httpd/modules/mod_authz_groupfile.so
%{_libdir}/httpd/modules/mod_authz_host.so
%{_libdir}/httpd/modules/mod_authz_owner.so
%{_libdir}/httpd/modules/mod_authz_user.so
%{_libdir}/httpd/modules/mod_autoindex.so
%{_libdir}/httpd/modules/mod_bucketeer.so
%{_libdir}/httpd/modules/mod_case_filter_in.so
%{_libdir}/httpd/modules/mod_case_filter.so
%{_libdir}/httpd/modules/mod_cern_meta.so
%{_libdir}/httpd/modules/mod_cgid.so
%{_libdir}/httpd/modules/mod_cgi.so
%{_libdir}/httpd/modules/mod_charset_lite.so
%{_libdir}/httpd/modules/mod_dir.so
%{_libdir}/httpd/modules/mod_dumpio.so
%{_libdir}/httpd/modules/mod_echo.so
%{_libdir}/httpd/modules/mod_env.so
%{_libdir}/httpd/modules/mod_expires.so
%{_libdir}/httpd/modules/mod_ext_filter.so
%{_libdir}/httpd/modules/mod_filter.so
%{_libdir}/httpd/modules/mod_headers.so
%{_libdir}/httpd/modules/mod_ident.so
%{_libdir}/httpd/modules/mod_imagemap.so
%{_libdir}/httpd/modules/mod_include.so
%{_libdir}/httpd/modules/mod_info.so
%{_libdir}/httpd/modules/mod_log_config.so
%{_libdir}/httpd/modules/mod_log_forensic.so
%{_libdir}/httpd/modules/mod_logio.so
%{_libdir}/httpd/modules/mod_macro.so
%{_libdir}/httpd/modules/mod_md.so
%{_libdir}/httpd/modules/mod_mime_magic.so
%{_libdir}/httpd/modules/mod_mime.so
%{_libdir}/httpd/modules/mod_negotiation.so
%{_libdir}/httpd/modules/mod_optional_fn_export.so
%{_libdir}/httpd/modules/mod_optional_fn_import.so
%{_libdir}/httpd/modules/mod_optional_hook_export.so
%{_libdir}/httpd/modules/mod_optional_hook_import.so
%{_libdir}/httpd/modules/mod_rewrite.so
%{_libdir}/httpd/modules/mod_setenvif.so
%{_libdir}/httpd/modules/mod_speling.so
%{_libdir}/httpd/modules/mod_status.so
%{_libdir}/httpd/modules/mod_substitute.so
%{_libdir}/httpd/modules/mod_unique_id.so
%{_libdir}/httpd/modules/mod_usertrack.so
%{_libdir}/httpd/modules/mod_version.so
%{_libdir}/httpd/modules/mod_vhost_alias.so
%{_libdir}/httpd/modules/mod_access_compat.so
%{_libdir}/httpd/modules/mod_allowmethods.so
%{_libdir}/httpd/modules/mod_authn_core.so
%{_libdir}/httpd/modules/mod_authn_socache.so
%{_libdir}/httpd/modules/mod_authz_core.so
%{_libdir}/httpd/modules/mod_authz_dbd.so
%{_libdir}/httpd/modules/mod_buffer.so
%{_libdir}/httpd/modules/mod_data.so
%{_libdir}/httpd/modules/mod_deflate.so
%{_libdir}/httpd/modules/mod_dialup.so
%{_libdir}/httpd/modules/mod_file_cache.so
%{_libdir}/httpd/modules/mod_heartbeat.so
%{_libdir}/httpd/modules/mod_heartmonitor.so
%{_libdir}/httpd/modules/mod_log_debug.so
%{_libdir}/httpd/modules/mod_lua.so
%{_libdir}/httpd/modules/mod_ratelimit.so
%{_libdir}/httpd/modules/mod_reflector.so
%{_libdir}/httpd/modules/mod_remoteip.so
%{_libdir}/httpd/modules/mod_request.so
%{_libdir}/httpd/modules/mod_reqtimeout.so
%{_libdir}/httpd/modules/mod_sed.so
%{_libdir}/httpd/modules/mod_slotmem_plain.so
%{_libdir}/httpd/modules/mod_slotmem_shm.so
%{_libdir}/httpd/modules/mod_socache_dbm.so
%{_libdir}/httpd/modules/mod_socache_memcache.so
%{_libdir}/httpd/modules/mod_socache_redis.so
%{_libdir}/httpd/modules/mod_socache_shmcb.so
%{_libdir}/httpd/modules/mod_unixd.so
%{_libdir}/httpd/modules/mod_watchdog.so
%{_libdir}/httpd/modules/mod_systemd.so
%{_libdir}/httpd/modules/httpd.exp

%dir /var/log/httpd

%dir %{_libdir}/httpd
%attr(0700,apache,root) %dir /var/cache/httpd
%exclude %{_mandir}/man8/htcacheclean.8*
%exclude %{_mandir}/man8/suexec.8*
%exclude %{_mandir}/man1/apxs.1*
%{_mandir}/*/*

%files mod_proxy
%doc modules/proxy/CHANGES
%config(noreplace) %{confdir}/modules.d/00_mod_proxy.conf
%{_libdir}/httpd/modules/mod_proxy.so
%{_libdir}/httpd/modules/mod_lbmethod_bybusyness.so
%{_libdir}/httpd/modules/mod_lbmethod_byrequests.so
%{_libdir}/httpd/modules/mod_lbmethod_bytraffic.so
%{_libdir}/httpd/modules/mod_lbmethod_heartbeat.so
%{_libdir}/httpd/modules/mod_proxy_ajp.so
%{_libdir}/httpd/modules/mod_proxy_balancer.so
%{_libdir}/httpd/modules/mod_proxy_connect.so
%{_libdir}/httpd/modules/mod_proxy_express.so
%{_libdir}/httpd/modules/mod_proxy_fcgi.so
%{_libdir}/httpd/modules/mod_proxy_fdpass.so
%{_libdir}/httpd/modules/mod_proxy_ftp.so
%{_libdir}/httpd/modules/mod_proxy_hcheck.so
%{_libdir}/httpd/modules/mod_proxy_http.so
%{_libdir}/httpd/modules/mod_proxy_scgi.so
%{_libdir}/httpd/modules/mod_proxy_uwsgi.so
%{_libdir}/httpd/modules/mod_proxy_wstunnel.so
%attr(0770,apache,root) %dir /var/cache/httpd/mod_proxy

%files mod_proxy_html
%config(noreplace) %{confdir}/modules.d/00_mod_proxy_html.conf
%{_libdir}/httpd/modules/mod_proxy_html.so
%{_libdir}/httpd/modules/mod_xml2enc.so

%files mod_dav
%config(noreplace) %{confdir}/modules.d/00_mod_dav.conf
%{_libdir}/httpd/modules/mod_dav_fs.so
%{_libdir}/httpd/modules/mod_dav_lock.so
%{_libdir}/httpd/modules/mod_dav.so
%attr(-,apache,apache) %dir /var/lib/dav

%files mod_ldap
%config(noreplace) %{confdir}/modules.d/01_mod_ldap.conf
%{_libdir}/httpd/modules/mod_ldap.so
%{_libdir}/httpd/modules/mod_authnz_ldap.so
%attr(0600,apache,root) %ghost /var/cache/httpd/mod_ldap_cache

%files mod_session
%config(noreplace) %{confdir}/modules.d/01_mod_session.conf
%{_libdir}/httpd/modules/mod_session.so
%{_libdir}/httpd/modules/mod_session_cookie.so
%{_libdir}/httpd/modules/mod_session_crypto.so
%{_libdir}/httpd/modules/mod_auth_form.so

%files mod_cache
%config(noreplace) %{confdir}/modules.d/00_mod_cache.conf
%{_libdir}/httpd/modules/mod_cache.so
%{_libdir}/httpd/modules/mod_cache_disk.so
%{_libdir}/httpd/modules/mod_cache_socache.so

%files mod_suexec
%config(noreplace) %{confdir}/modules.d/00_mod_suexec.conf
%{_libdir}/httpd/modules/mod_suexec.so
%attr(4710,root,apache) %{_sbindir}/suexec
%{_mandir}/man8/suexec.8*

%files mod_userdir
%config(noreplace) %{confdir}/modules.d/00_mod_userdir.conf
%config(noreplace) %{confdir}/conf.d/userdir.conf
%{_libdir}/httpd/modules/mod_userdir.so

%files mod_ssl
%config(noreplace) %{confdir}/modules.d/00_mod_ssl.conf
%config(noreplace) %{confdir}/conf.d/ssl.conf
%config(noreplace) %{confdir}/sites.d/00_default_ssl_vhost.conf
%{_libdir}/httpd/modules/mod_ssl.so
%attr(0700,apache,root) %dir /var/cache/httpd/mod_ssl
%attr(0600,apache,root) %ghost /var/cache/httpd/mod_ssl/scache.dir
%attr(0600,apache,root) %ghost /var/cache/httpd/mod_ssl/scache.pag
%attr(0600,apache,root) %ghost /var/cache/httpd/mod_ssl/scache.sem

%files mod_dbd
%config(noreplace) %{confdir}/modules.d/02_mod_dbd.conf
%{_libdir}/httpd/modules/mod_dbd.so
%{_libdir}/httpd/modules/mod_authn_dbd.so
%{_libdir}/httpd/modules/mod_authz_dbd.so
%{_libdir}/httpd/modules/mod_session_dbd.so

%files mod_http2
%config(noreplace) %{confdir}/modules.d/01_mod_http2.conf
%{_libdir}/httpd/modules/mod_http2.so

%files mod_brotli
%config(noreplace) %{confdir}/modules.d/10_mod_brotli.conf
%{_libdir}/httpd/modules/mod_brotli.so

%files htcacheclean
%{_unitdir}/htcacheclean.service
%config(noreplace) %{_sysconfdir}/sysconfig/htcacheclean
%{_sbindir}/htcacheclean
%{_mandir}/man8/htcacheclean.8*

%files devel
%multiarch %{multiarch_includedir}/httpd/ap_config_layout.h
%{_includedir}/httpd
%{_libdir}/httpd/build
%{_sysconfdir}/httpd/build
%{_sysconfdir}/rpm/macros.d/httpd.macros
%{_sbindir}/envvars
%{_sbindir}/envvars-std
%{_bindir}/apxs
%{_mandir}/man1/apxs.1*

%files doc
%config(noreplace) %{confdir}/sites.d/manual.conf
%{_datadir}/httpd/manual


%changelog
* Mon Sep 20 2021 ns80 <ns80> 2.4.49-1.mga8
+ Revision: 1746045
- new version 2.4.49 for CVE-2021-33193, CVE-2021-34798, CVE-2021-36160, CVE-2021-39275, CVE-2021-40438 (mga#29466)
- new version 2.4.48 for CVE-2019-17567, CVE-2020-13950, CVE-2020-35452, CVE-2021-2669[01], CVE-2021-30641, CVE-2021-31618 (mga#29087)

* Fri Aug 21 2020 tv <tv> 2.4.46-2.mga8
+ Revision: 1617451
- make devel pkg requires systemd-devel b/c config_vars.mk references -lsystemd
  this will fix all apache modules failures in autobuild

* Fri Aug 07 2020 shlomif <shlomif> 2.4.46-1.mga8
+ Revision: 1611951
- mga#27058 ; new bugfix ver 2.4.46

* Tue Apr 14 2020 ovitters <ovitters> 2.4.43-2.mga8
+ Revision: 1567305
- drop makedev require in mod_ssl subpackage

* Thu Apr 02 2020 shlomif <shlomif> 2.4.43-1.mga8
+ Revision: 1564011
- New version 2.4.43

* Tue Feb 18 2020 umeabot <umeabot> 2.4.41-4.mga8
+ Revision: 1541347
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Dec 25 2019 tmb <tmb> 2.4.41-3.mga8
+ Revision: 1469992
- mod_dbd: only load mod_session_dbd if mod_session is available

* Wed Dec 25 2019 tmb <tmb> 2.4.41-2.mga8
+ Revision: 1469988
- bump rel
- mod_session: mod_auth_form requires mod_request (mga#25316)

* Sat Aug 17 2019 shlomif <shlomif> 2.4.41-1.mga8
+ Revision: 1429588
- New version 2.4.41 - security fix for MGA#25316
+ mokraemer <mokraemer>
- add check for php-fpm

* Sun Apr 21 2019 shlomif <shlomif> 2.4.39-1.mga7
+ Revision: 1394385
- New version 2.4.39

* Sat Feb 02 2019 luigiwalser <luigiwalser> 2.4.38-1.mga7
+ Revision: 1362615
- 2.4.38
+ bcornec <bcornec>
- Fix load ordering of apache modules mod_dbd being after mod_session

* Thu Oct 25 2018 guillomovitch <guillomovitch> 2.4.37-3.mga7
+ Revision: 1325511
- drop obsolete 2.2 -> 2.4 update documentation

* Wed Oct 24 2018 bcornec <bcornec> 2.4.37-2.mga7
+ Revision: 1325079
- update to upstream apache 2.4.37

* Sun Oct 21 2018 bcornec <bcornec> 2.4.35-2.mga7
+ Revision: 1323393
- SLIENT: working version of the previous patch
- adding a dependency on curl-devel checked by configure and not found on build system by default

* Sun Oct 21 2018 bcornec <bcornec> 2.4.35-1.mga7
+ Revision: 1323359
- Update to upstream apache 2.4.35 to help fix mga#22833

* Fri Sep 21 2018 umeabot <umeabot> 2.4.33-2.mga7
+ Revision: 1294375
- Mageia 7 Mass Rebuild

* Tue Mar 27 2018 shlomif <shlomif> 2.4.33-1.mga7
+ Revision: 1212748
- New version 2.4.33 ( MGA#22833 )

* Fri Dec 22 2017 wally <wally> 2.4.29-4.mga7
+ Revision: 1184010
- don't hardcode brotli lib requires to mod_brotli (lib reqs are autogenerated)

* Tue Dec 19 2017 mitya <mitya> 2.4.29-3.mga7
+ Revision: 1183312
- Add missing quotes in security.conf (breaks Augeas and certbot-apache)

* Sun Nov 12 2017 zezinho <zezinho> 2.4.29-2.mga7
+ Revision: 1177065
- add mod_brotli to the apache modules

* Tue Oct 24 2017 shlomif <shlomif> 2.4.29-1.mga7
+ Revision: 1173231
- New version 2.4.29 fixing MGA#21741 .

* Sat Oct 14 2017 shlomif <shlomif> 2.4.28-1.mga7
+ Revision: 1171836
- New version 2.4.28
+ pterjan <pterjan>
- Update mod_systemd patch from fedora

* Wed Sep 20 2017 shlomif <shlomif> 2.4.27-5.mga7
+ Revision: 1156237
- Revert prev change because it was not helpful.
- Hopefully fix BRs away from pkgconfig ones to fix build fails.
- Apply patch for MGA#21741 ("optionsbleed" / CVE-2017-9798 ; security).

* Wed Aug 02 2017 guillomovitch <guillomovitch> 2.4.27-2.mga7
+ Revision: 1133961
- rebuild for latest openssl

* Sun Jul 16 2017 shlomif <shlomif> 2.4.27-1.mga7
+ Revision: 1123865
- New version 2.4.27
- Fix some typos. ( MGA#21119 + other stuff.)

* Tue Jun 20 2017 shlomif <shlomif> 2.4.26-1.mga6
+ Revision: 1107940
- New version 2.4.26 - fix for bugs - MGA#20002 .

* Mon Dec 26 2016 luigiwalser <luigiwalser> 2.4.25-2.mga6
+ Revision: 1077896
- remove CVE patches for issues fixed in 2.4.25

* Sat Dec 24 2016 shlomif <shlomif> 2.4.25-1.mga6
+ Revision: 1077190
- New version 2.4.25 with bug fixes ( MGA#20002 ).

* Sun Dec 11 2016 ngompa <ngompa> 2.4.23-5.mga6
+ Revision: 1074168
- Lower max ncpus per luigiwalser, bump suexec uid/gid min to 500
- Remove unneeded %%pretrans

* Mon Dec 05 2016 luigiwalser <luigiwalser> 2.4.23-3.mga6
+ Revision: 1072633
- add upstream patch to fix CVE-2016-8740

* Tue Jul 19 2016 luigiwalser <luigiwalser> 2.4.23-2.mga6
+ Revision: 1042580
- rediff patch from redhat to fix CVE-2016-5387

* Wed Jul 06 2016 tmb <tmb> 2.4.23-1.mga6
+ Revision: 1039075
- update to 2.4.23 (CVE-2016-4979)
- fix build with systemd 230

* Tue Jun 21 2016 shlomif <shlomif> 2.4.20-3.mga6
+ Revision: 1037062
- Convert tabs to spaces - rpmlint
- Remove trailing space
- Hopefully Fix mod_dav (MGA#18747).

* Sat Apr 16 2016 oden <oden> 2.4.20-2.mga6
+ Revision: 1002970
- rebuilt because sometimes mod_systemd.so builds and sometimes not (#1)
- 2.4.20

* Wed Mar 02 2016 umeabot <umeabot> 2.4.18-4.mga6
+ Revision: 983140
- Rebuild for openssl

* Wed Mar 02 2016 oden <oden> 2.4.18-3.mga6
+ Revision: 983110
- fix deps
- rebuilt against openssl-1.0.2g & nghttp2-1.8.0

* Sun Dec 27 2015 oden <oden> 2.4.18-2.mga6
+ Revision: 915744
- rebuild

* Fri Dec 18 2015 oden <oden> 2.4.18-1.mga6
+ Revision: 911565
- 2.4.18
- P31: sync with fedora
- fix deps according to specs

* Thu Nov 05 2015 oden <oden> 2.4.17-1.2.mga6
+ Revision: 897988
- crap. mod_http2.so got packaged twice.

* Thu Nov 05 2015 oden <oden> 2.4.17-1.1.mga6
+ Revision: 897980
- mod_systemd FTBS, sometimes
- 2.4.17
- sync with fedora rawhide
- rediff patches
- revert the mod_http2 config add...
- add the new mod_http2 as deactivated in the config
- fix broken config (wtf?)

* Sun Sep 06 2015 tv <tv> 2.4.10-18.mga6
+ Revision: 873222
- switch to new upstream file trigger syntax

* Tue Jul 21 2015 luigiwalser <luigiwalser> 2.4.10-17.mga6
+ Revision: 855965
- rediff upstream patches to fix CVE-2015-3183 and CVE-2015-3185

* Thu May 07 2015 luigiwalser <luigiwalser> 2.4.10-16.mga5
+ Revision: 821400
- disable SSLv3 by default

* Thu Mar 05 2015 luigiwalser <luigiwalser> 2.4.10-15.mga5
+ Revision: 817894
- add patch from upstream via opensuse to fix CVE-2015-0228
+ pterjan <pterjan>
- Fix m4 for enabling systemd plugin

* Wed Feb 04 2015 luigiwalser <luigiwalser> 2.4.10-12.mga5
+ Revision: 813436
- add patch from fedora to fix CVE-2014-3583

* Tue Dec 30 2014 luigiwalser <luigiwalser> 2.4.10-11.mga5
+ Revision: 807327
- add patch from opensuse to fix CVE-2014-8109

* Wed Dec 10 2014 luigiwalser <luigiwalser> 2.4.10-8.mga5
+ Revision: 802601
- add patch from redhat to fix CVE-2013-5704
- add upstream patch to fix CVE-2014-3581

* Wed Oct 15 2014 umeabot <umeabot> 2.4.10-6.mga5
+ Revision: 750397
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.4.10-5.mga5
+ Revision: 725942
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.4.10-4.mga5
+ Revision: 677787
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Thu Sep 04 2014 colin <colin> 2.4.10-3.mga5
+ Revision: 672006
- Update systemd patches from Fedora
+ joequant <joequant>
- update patch to see systemd 216 libraries
- rebuild with new systemd

* Tue Jul 22 2014 luigiwalser <luigiwalser> 2.4.10-2.mga5
+ Revision: 655575
- 2.4.10
- remove upstreamed patch 32
- rediff patch 100

* Sun Jun 29 2014 tv <tv> 2.4.9-4.mga5
+ Revision: 641019
- rebuild with lua-5.2

* Tue Apr 29 2014 guillomovitch <guillomovitch> 2.4.9-3.mga5
+ Revision: 618886
- revert to lua 5.2, mod_lua seems broken with lua 5.2

* Mon Apr 07 2014 guillomovitch <guillomovitch> 2.4.9-2.mga5
+ Revision: 612619
- build against lua 5.2 instead of 5.1
- use pristine mod_userdir default configuration

* Tue Mar 18 2014 oden <oden> 2.4.9-1.mga5
+ Revision: 604827
- P1: restored from fedora, deactivated, needs some work
- P58: drop, applied upstream
- P2: rediff
- 2.4.9

* Wed Jan 15 2014 luigiwalser <luigiwalser> 2.4.7-5.mga4
+ Revision: 566606
- allow main apache package to be upgraded before the modules (mga#12277)

* Tue Jan 07 2014 pterjan <pterjan> 2.4.7-4.mga4
+ Revision: 565488
- Don't tell configure we use capabilities if we actually use suid suexec
- pass INSTALL_SUEXEC=setuid to make install, configure fails to change it in Makefile.in, breaking build
+ guillomovitch <guillomovitch>
- split mod_session in a subpackage, to enforce apr-util-openssl dependency (#12111)

* Sat Nov 30 2013 colin <colin> 2.4.7-2.mga4
+ Revision: 554301
- Fix bug introduced in the systemd service in the last update
- Restore bug reference comments in systemd service which explains the somewhat odd workarounds

* Fri Nov 29 2013 guillomovitch <guillomovitch> 2.4.7-1.mga4
+ Revision: 554066
- new version 2.4.7
- sync with fedora patchset
- sync systemd unit with fedora

* Sat Oct 19 2013 umeabot <umeabot> 2.4.6-5.mga4
+ Revision: 533701
- Mageia 4 Mass Rebuild

* Tue Sep 03 2013 luigiwalser <luigiwalser> 2.4.6-4.mga4
+ Revision: 474907
- rpm no longer allows listing a symlink to a directory as a dir in files
- rpm no longer allows listing a symlink to a directory as a dir in files

* Tue Jul 23 2013 colin <colin> 2.4.6-3.mga4
+ Revision: 457508
- Really fix pretrans scriptlet (mga#10178)

* Tue Jul 23 2013 luigiwalser <luigiwalser> 2.4.6-2.mga4
+ Revision: 457459
- activate trigger on webapps.d directory (mga#10275)
- fix pretrans scriptlet for when sites.d already exists on upgrade (mga#10178)

* Mon Jul 22 2013 oden <oden> 2.4.6-1.mga4
+ Revision: 457312
- 2.4.6

* Wed Jun 19 2013 colin <colin> 2.4.4-8.mga4
+ Revision: 445135
- Add workaround for deadlocks on stop/restart (rhbz#912288 and rhbz#952634)

* Sat Apr 06 2013 blino <blino> 2.4.4-7.mga3
+ Revision: 408458
- use mkdir -p in pretrans scriptlet to avoid error on first install

* Thu Apr 04 2013 luigiwalser <luigiwalser> 2.4.4-6.mga3
+ Revision: 407569
- fix userdir configuration again

* Wed Apr 03 2013 guillomovitch <guillomovitch> 2.4.4-5.mga3
+ Revision: 407560
- add README.update.urpmi to advertise setup changes

* Mon Mar 25 2013 guillomovitch <guillomovitch> 2.4.4-4.mga3
+ Revision: 405238
- take advantage of mod_systemd for controlling apache (fix #9434)
- use systemd service for htcacheclean instead of initscript
- keep original fedora patches verbatim

* Sun Mar 24 2013 colin <colin> 2.4.4-3.mga3
+ Revision: 405136
- Use tmpfiles macros and add system version to requires (mga#9302)

* Tue Feb 26 2013 oden <oden> 2.4.4-1.mga3
+ Revision: 400366
- 2.4.4 (fixes CVE-2012-3499, CVE-2012-4558)
- rediffed P23, P26, P28, P100
- added mod_systemd from httpd-2.4.3-17.fc19.src.rpm

* Fri Feb 08 2013 luigiwalser <luigiwalser> 2.4.3-9.mga3
+ Revision: 395248
- rework conflict prevention script to work within pretrans

* Wed Jan 23 2013 luigiwalser <luigiwalser> 2.4.3-8.mga3
+ Revision: 391679
- fix userdir configuration

* Tue Jan 15 2013 luigiwalser <luigiwalser> 2.4.3-7.mga3
+ Revision: 388404
- use pretrans instead of pre to work around rpm 4.11 issue

* Fri Jan 11 2013 umeabot <umeabot> 2.4.3-6.mga3
+ Revision: 345632
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 2.4.3-5.mga3
+ Revision: 323699
- rebuild for new pcre

* Tue Nov 20 2012 guillomovitch <guillomovitch> 2.4.3-4.mga3
+ Revision: 319896
- fix manual configuration (#8141)

* Fri Oct 05 2012 guillomovitch <guillomovitch> 2.4.3-3.mga3
+ Revision: 302878
- add a dependency on mailcap for /etc/mime.types file (fix #7566)

* Sun Sep 09 2012 guillomovitch <guillomovitch> 2.4.3-2.mga3
+ Revision: 291156
- fix rpm filetriggers

* Thu Aug 23 2012 guillomovitch <guillomovitch> 2.4.3-1.mga3
+ Revision: 283340
- no need for restricted perms on /run/httpd directory
- new version
- sync patches set with fedora

* Mon Aug 20 2012 colin <colin> 2.4.2-6.mga3
+ Revision: 282508
- tmpfiles.d config is not user configurable, so it should not be in /etc.

* Thu Aug 16 2012 guillomovitch <guillomovitch> 2.4.2-5.mga3
+ Revision: 281593
- drop custom magic and mime.types file
- don't even ship upstream mime.types file, and use system one instead

* Tue Jul 24 2012 blino <blino> 2.4.2-4.mga3
+ Revision: 273911
- really allow php scripts when mod_php is loaded

* Mon Jul 23 2012 blino <blino> 2.4.2-3.mga3
+ Revision: 273652
- do not include ssl.conf in apache package, it will break apache is mod_ssl is not installed

* Fri Jul 20 2012 guillomovitch <guillomovitch> 2.4.2-2.mga3
+ Revision: 272823
- ship apxs man page in devel package
- use dedicated rpm-helper scriptlet to handle cert generation
- minimal default vhost configuration
- fix modules configuration files
- ensure apache-devel requires apache
- don't migration code in %%pre for initial installation

* Tue Jul 17 2012 guillomovitch <guillomovitch> 2.4.2-1.mga3
+ Revision: 271771
- manage configuration upgrade
- split configuration in 3 subdirectories:
 * /etc/httpd/conf/modules.d for module loading
 * /etc/httpd/conf/conf.d for generic configuration
 * /etc/httpd/conf/sites.d for site configuration
- rework package granularity:
 * merge back mod_reqtimeout and mod_deflate into main package
 * split mod_proxy_html in its own package
 * merge other proxy modules in mod_proxy
 * merge dbd modules in mod_dbd
 * merge cache modules in mod_cache
- drop conditional test support
- drop overzealous memcached soft dependency for mod_ssl
- fix mpm modules building
- fix default configuration
- merge webapps.d and vhosts.d directories as sites.d
- use original icons set
- drop unused sources
- drop source package
- new version
- switch to fedora layout
- sync with fedora patch set
- drop sysinit support

* Mon Jun 11 2012 colin <colin> 2.2.22-14.mga3
+ Revision: 259749
- Rebuild for new openssl

* Mon May 28 2012 luigiwalser <luigiwalser> 2.2.22-13.mga3
+ Revision: 247725
- use graceful-stop for service stop in httpd.service (from fedora)

* Sun May 06 2012 luigiwalser <luigiwalser> 2.2.22-12.mga2
+ Revision: 234841
- fix suexec path
- make suexec config work with systemd

* Sat Apr 28 2012 tmb <tmb> 2.2.22-11.mga2
+ Revision: 233587
- add back rpm-helper requires for htcacheclean

* Sat Apr 28 2012 tmb <tmb> 2.2.22-10.mga2
+ Revision: 233586
- Require rpm-helper >= 0.24.8-1 for systemd support

* Fri Apr 27 2012 tmb <tmb> 2.2.22-9.mga2
+ Revision: 233496
- rebuild for versioned rpm-helper requires

* Sat Apr 21 2012 luigiwalser <luigiwalser> 2.2.22-8.mga2
+ Revision: 232417
- add rpm-helper requirements for post_service scripts
- do not edit original service source file during build

* Sun Apr 08 2012 guillomovitch <guillomovitch> 2.2.22-7.mga2
+ Revision: 229775
- drop PrivateTmp from systemd service (fix #5143)

* Sun Apr 08 2012 luigiwalser <luigiwalser> 2.2.22-6.mga2
+ Revision: 229771
- merge apache-mod_suexec

* Mon Mar 19 2012 luigiwalser <luigiwalser> 2.2.22-5.mga2
+ Revision: 224024
- use arch independent libdir to find modules (thanks Funda Wang)

* Sun Mar 18 2012 luigiwalser <luigiwalser> 2.2.22-4.mga2
+ Revision: 223823
- use USR1 instead of HUP for systemctl reload (do not kill children)
- use package ordering to ensure _post_service is run at the right time
- do httpd restarts via posttrans and filetriggers (explained in spec)
+ colin <colin>
- Fix systemd migration on upgrade (ensure mpm is installed and linked for apache post)
- Fix all mpm systemd units (other than prefork)
- Ensure only one mpm systemd unit can be enabled at any one time.

* Mon Mar 12 2012 guillomovitch <guillomovitch> 2.2.22-3.mga2
+ Revision: 222883
- deport base file and user creation in webserver-base package
+ luigiwalser <luigiwalser>
- start httpd after remote-fs and named (from fedora)
- enable PrivateTmp in service file (rh #781440)
- update httpd.conf (from mdv)

* Sun Feb 12 2012 luigiwalser <luigiwalser> 2.2.22-2.mga2
+ Revision: 208280
- drop distcache support from mod_ssl
- build against current db version
- sync doc package with mdv
- update 01_default_ssl_vhost.conf and patch 0 (from mdv)
- minor requires fixes from mdv

* Tue Feb 07 2012 guillomovitch <guillomovitch> 2.2.22-1.mga2
+ Revision: 205893
- new version
- rediff ab patch
- drop security patches related to fixed vulns

* Thu Jan 19 2012 guillomovitch <guillomovitch> 2.2.21-9.mga2
+ Revision: 198442
- reduce multiple file copying
- ensure source and doc packages are noarch
- merge apache-doc package

* Thu Jan 19 2012 colin <colin> 2.2.21-8.mga2
+ Revision: 198013
- Fix systemd unit PID path (breaks with systemd v38)

* Sat Dec 31 2011 dmorgan <dmorgan> 2.2.21-7.mga2
+ Revision: 189170
- Add P21/22: Fix CVE2011-3368 and regression introduced in CVE 2011-3192
- Use systemd rpm macro

* Thu Oct 27 2011 nanardon <nanardon> 2.2.21-5.mga2
+ Revision: 158597
- apache-mpm-event provides apache-mpm not 'apache'

* Sat Oct 15 2011 dmorgan <dmorgan> 2.2.21-4.mga2
+ Revision: 155444
- Rebuild because it seems apache-mpm-event is missing, preventing libapreq2 to build

* Sun Sep 18 2011 pterjan <pterjan> 2.2.21-3.mga2
+ Revision: 145045
- Obsolete apache-base

* Wed Sep 14 2011 guillomovitch <guillomovitch> 2.2.21-2.mga2
+ Revision: 143581
- merge apache-base and apache-modules as apache package
- load modules inconditionaly
- drop useless dependencies from apache-devel package

* Wed Sep 14 2011 guillomovitch <guillomovitch> 2.2.21-1.mga2
+ Revision: 143348
- new version

* Thu Sep 08 2011 guillomovitch <guillomovitch> 2.2.20-3.mga2
+ Revision: 141320
- systemd support

* Thu Sep 01 2011 guillomovitch <guillomovitch> 2.2.20-2.mga2
+ Revision: 137745
- merge apache-conf and apache-base, to reduce dependencies hell
- rework dependencies to a comprehensive model: apache is an empty package, requiring the configuration, the modules and an engine
- rework post/preun scripts to use 'service httpd condrestart'
- ensure post/preun dependencies consistency with post/preun scriptlets
- simplify macros mess
- stop preventing initscript to be localized

* Thu Sep 01 2011 guillomovitch <guillomovitch> 2.2.20-1.mga2
+ Revision: 137516
- add missing LSB headers to htcacheclean init script
- new version
- drop suexec PATH patch
- rediff french documentation fixes, mpm-itk, mpm-peruser and authnoprov patches
- large spec cleanup
+ misc <misc>
- remove README.urpmi, as it only speak of change dating back to 2008.1
+ pterjan <pterjan>
- Revert re-import
- imported package apache

* Fri Jan 14 2011 ahmad <ahmad> 2.2.17-4.mga1
+ Revision: 17736
- drop old/unneeded scriptlets
- imported package apache


* Sat Jan 01 2011 Oden Eriksson <oeriksson@mandriva.com> 2.2.17-4mdv2011.0
+ Revision: 627296
- don't force the usage of automake1.7

* Wed Dec 01 2010 Paulo Andrade <pcpa@mandriva.com.br> 2.2.17-3mdv2011.0
+ Revision: 604598
- Rebuild with apr with workaround to gcc type based alias analysis issue
- Correct a possible unsafe usage of apr_bucket lists

* Thu Nov 25 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.17-2mdv2011.0
+ Revision: 601153
- temporary workaround a possible bug in gcc (#61384: Apache 2.2.17 doesn't support POST method to submit data)

* Wed Oct 20 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.17-1mdv2011.0
+ Revision: 586886
- 2.2.17
- fix #60937 (apachectl calls wrong httpd when using itk)

* Fri Oct 15 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.17-0.0.pre.1mdv2011.0
+ Revision: 585793
- 2.2.17 (pre-release)
- dropped one upstream added patch

* Sun Jul 25 2010 Funda Wang <fwang@mandriva.org> 2.2.16-1mdv2011.0
+ Revision: 559480
- 2.2.16 final

* Thu Jul 22 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.16-0.0.1mdv2011.0
+ Revision: 556884
- 2.2.16 (pre-release)

* Tue Apr 06 2010 Funda Wang <fwang@mandriva.org> 2.2.15-3mdv2010.1
+ Revision: 531956
- rebuild for new openssl

* Wed Mar 31 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.15-2mdv2010.1
+ Revision: 530513
- rebuild

* Sat Mar 06 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.15-1mdv2010.1
+ Revision: 515125
- 2.2.15 (official)

* Tue Mar 02 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.15-0.0mdv2010.1
+ Revision: 513530
- 2.2.15 (pre-release)
- update the peruser patches
- drop upstream applied patches
- added the new mod_reqtimeout sub package
- drop the old P22 CVE-2008-2939 patch as it was not applied and was
  applied upstream

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.14-6mdv2010.1
+ Revision: 511552
- rebuilt against openssl-0.9.8m

* Thu Dec 31 2009 Oden Eriksson <oeriksson@mandriva.com> 2.2.14-5mdv2010.1
+ Revision: 484460
- rebuilt for bdb-4.8 linkage

* Sat Dec 19 2009 Oden Eriksson <oeriksson@mandriva.com> 2.2.14-4mdv2010.1
+ Revision: 480217
- P6: fix a long standing problem with apachectl

* Tue Nov 24 2009 Pascal Terjan <pterjan@mandriva.org> 2.2.14-3mdv2010.1
+ Revision: 469671
- openssl and random devices are needed in post of mod_ssl

* Mon Nov 09 2009 Oden Eriksson <oeriksson@mandriva.com> 2.2.14-2mdv2010.1
+ Revision: 463437
- latest openssl breaks the test suite, disable it for now
- P21: security fix/workaround for CVE-2009-3555

  + Michael Scherer <misc@mandriva.org>
    - listen by default on both ipv6 and ipv4 if available for ssl, to
      be consistent with non ssl connection in httpd.conf

* Sun Oct 04 2009 Oden Eriksson <oeriksson@mandriva.com> 2.2.14-1mdv2010.0
+ Revision: 453379
- 2.2.14 was silently released 23-Sep-2009

* Sat Sep 26 2009 Oden Eriksson <oeriksson@mandriva.com> 2.2.14-0.1mdv2010.0
+ Revision: 449570
- also actually provide the 32_mod_proxy_scgi.conf file...
- 2.2.14 (non official release)
- drop the CVE-2009-3094, CVE-2009-3095 patches
- added the new mod_proxy_scgi module

* Fri Sep 25 2009 Olivier Blin <oblin@mandriva.com> 2.2.13-4mdv2010.0
+ Revision: 448916
- don't explicitely force fstack-protector, adding it for everyone is
  wrong, and it's enabled by default on x86 (from Arnaud Patard)

* Tue Sep 22 2009 Oden Eriksson <oeriksson@mandriva.com> 2.2.13-3mdv2010.0
+ Revision: 447310
- P200: security fix for CVE-2009-3094
- P201: security fix for CVE-2009-3095

* Mon Aug 17 2009 Oden Eriksson <oeriksson@mandriva.com> 2.2.13-2mdv2010.0
+ Revision: 417273
- don't require apache-mod_proxy for the caching modules

* Mon Aug 10 2009 Oden Eriksson <oeriksson@mandriva.com> 2.2.13-1mdv2010.0
+ Revision: 414339
- 2.2.13 (official)

* Thu Aug 06 2009 Oden Eriksson <oeriksson@mandriva.com> 2.2.13-0.1mdv2010.0
+ Revision: 410968
- 2.2.13 (prerelease)

* Mon Aug 03 2009 Oden Eriksson <oeriksson@mandriva.com> 2.2.12-2mdv2010.0
+ Revision: 408095
- rebuild
- 2.2.12 (official)

* Thu Jul 23 2009 Oden Eriksson <oeriksson@mandriva.com> 2.2.12-0.1mdv2010.0
+ Revision: 398960
- 2.2.12 (pre-release)
- rediffed one patch
- dropped a lot of patches applied upstream

* Sat Jul 11 2009 Oden Eriksson <oeriksson@mandriva.com> 2.2.11-16mdv2010.0
+ Revision: 394804
- S4: new perl-framework to conduct the testing
- P2004: upstream fix for PR46428
- P2005: security fix for CVE-2009-1890
- P2006: security fix for CVE-2009-1891

* Wed Jun 10 2009 Oden Eriksson <oeriksson@mandriva.com> 2.2.11-15mdv2010.0
+ Revision: 384771
- P2003: added one more post CVE-2009-1195 fix

* Tue Jun 09 2009 Oden Eriksson <oeriksson@mandriva.com> 2.2.11-14mdv2010.0
+ Revision: 384423
- P202: add svn fixes to make mod_perl build

* Sat Jun 06 2009 Oden Eriksson <oeriksson@mandriva.com> 2.2.11-13mdv2010.0
+ Revision: 383267
- rebuilt against new apr/apr-util libs

* Sun May 31 2009 Oden Eriksson <oeriksson@mandriva.com> 2.2.11-12mdv2010.0
+ Revision: 381656
- P2001: security fix for CVE-2009-1195

* Fri May 01 2009 Oden Eriksson <oeriksson@mandriva.com> 2.2.11-11mdv2010.0
+ Revision: 369725
- P2000: security fix for CVE-2009-1191
- revert the latest change
- new SNI patch (P200)

* Wed Apr 15 2009 Oden Eriksson <oeriksson@mandriva.com> 2.2.11-10mdv2009.1
+ Revision: 367319
- new P100 (itk-20090414-00)

* Fri Apr 10 2009 Oden Eriksson <oeriksson@mandriva.com> 2.2.11-9mdv2009.1
+ Revision: 365784
- fix P1008
- added P1008 to fix upstream PR45023 (revert wrong fix for PR39727)

* Tue Apr 07 2009 Oden Eriksson <oeriksson@mandriva.com> 2.2.11-8mdv2009.1
+ Revision: 364813
- added P103 that brings more features to peruser (asked by Denis Philippov)

* Sun Mar 22 2009 Oden Eriksson <oeriksson@mandriva.com> 2.2.11-7mdv2009.1
+ Revision: 360217
- new itk mpm patch (P100)

* Fri Mar 20 2009 Oden Eriksson <oeriksson@mandriva.com> 2.2.11-6mdv2009.1
+ Revision: 359256
- fix build
- added a proposed patch for upstream asf bug 39369, by Joe
  Orton which makes the (new'ish) perl-framework pass

* Sun Feb 01 2009 Oden Eriksson <oeriksson@mandriva.com> 2.2.11-5mdv2009.1
+ Revision: 336097
- added upstream patch1000 that fixes PR38642
- added upstream patch1001 that fixes PR39243 and PR46508
- added upstream patch1002 that fixes PR41120
- added upstream patch1003 that fixes PR42829
- added upstream patch1004 that fixes PR45529
- added upstream patch1005 that fixes PR46342
- added upstream patch1006 that fixes PR46467

* Tue Dec 30 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.11-4mdv2009.1
+ Revision: 321347
- use %%ldflags
- fix backporting
- update the sni and itk patches
- sync with fedora (P20)

* Thu Dec 18 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.11-3mdv2009.1
+ Revision: 315825
- rebuild

* Tue Dec 16 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.11-2mdv2009.1
+ Revision: 314937
- rebuild

* Mon Dec 15 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.11-1mdv2009.1
+ Revision: 314486
- 2.2.11 (official release)

* Fri Dec 12 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.11-0.2mdv2009.1
+ Revision: 313610
- rediff some patches to meet the nofuzz criteria

* Sat Dec 06 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.11-0.1mdv2009.1
+ Revision: 311241
- 2.2.11 (test release)
- updated perl-framework (r719570)

* Thu Nov 20 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.10-2mdv2009.1
+ Revision: 305285
- fix #45083 (missing dependency on apr-util-dbd-ldap for mod_ldap)

* Fri Oct 17 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.10-1mdv2009.1
+ Revision: 294601
- disable the tests for now
- 2.2.10 (release)

* Fri Oct 10 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.10-0.1mdv2009.1
+ Revision: 291447
- 2.2.10
- drop upstream implemented patches; P21

* Sat Sep 20 2008 Michael Scherer <misc@mandriva.org> 2.2.9-12mdv2009.0
+ Revision: 286042
- break the requires loop of mod_cache and mod_proxy.
  mod_proxy do not requires mod_cache to work, and mod_cache already requires mod_proxy.
  since mod_cache is activated by default, this can have nasty effects on sites who are behind
  a reverse proxy without wanting cache.

* Sat Sep 13 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.9-11mdv2009.0
+ Revision: 284570
- fix #43383 (apache-base does not provide /usr/sbin/httpd)

* Tue Sep 02 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.9-10mdv2009.0
+ Revision: 278892
- rebuild

* Fri Aug 29 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.9-9mdv2009.0
+ Revision: 277262
- added P201 by the author and re-enable the tests
- new perl-framework (r689834)

  + Frederik Himpe <fhimpe@mandriva.org>
    - Add patch from upstream CVS fixing minor security problem
      CVE-2008-2939

* Wed Aug 20 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.9-8mdv2009.0
+ Revision: 274243
- fix deps
- update the docs and config
- temporary disable the tests
- new SNI patch (P200)

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 2.2.9-7mdv2009.0
+ Revision: 267894
+ rebuild (emptylog)

* Tue Jul 29 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.9-6mdv2009.0
+ Revision: 252237
- hardcode %%{_localstatedir}

* Sat Jul 26 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.9-5mdv2009.0
+ Revision: 250120
- re-implement the peruser mpm (requested by Denis Philippov <den-is@mezon.ru>)

* Wed Jul 09 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.9-4mdv2009.0
+ Revision: 233117
- second attempt enabling the perl-framework test suite

* Mon Jun 23 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.9-3mdv2009.0
+ Revision: 228146
- rebuilt due to PayloadIsLzma problems

* Thu Jun 19 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.9-2mdv2009.0
+ Revision: 226645
- drop P6, it's not needed anymore

* Fri Jun 13 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.9-1mdv2009.0
+ Revision: 218814
- build release

* Wed Jun 11 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.9-0.1mdv2009.0
+ Revision: 217901
- 2.2.9 (fixes CVE-2008-2364, CVE-2007-6420)
- rediffed P0,P15
- dropped P20,P22,P23,P24,P25,P26,P28,P29,P30, these are fixed in 2.2.9

* Thu Jun 05 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.8-9mdv2009.0
+ Revision: 215206
- rebuilt against apr/apr-util 1.3.0 (which has memcache)
- new SNI patch (P200)

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Sat May 31 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.8-8mdv2009.0
+ Revision: 213687
- disable the perl-framework test suite for now
- use _disable_ld_no_undefined 1 because otherwise it won't build the modules
- don't use a cache-file, it confuses libtool

* Mon Apr 14 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.8-7mdv2009.0
+ Revision: 192693
- rebuild
- new perl-framework (r647789)

* Fri Mar 07 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.8-6mdv2008.1
+ Revision: 181224
- added P22 that fixes upstream PR43319
- added P23 that fixes upstream PR41190
- added P24 that fixes upstream PR44311
- added P25 that fixes upstream PR44458
- added P26 that fixes upstream PR27834 (hey pterjan, finally!;))
- added P27 that fixes upstream PR43711
- added P28 that fixes upstream PR11035
- added P29, mod_logio fixes
- added P30 that fixes upstream PR44402
- fix the htcacheclean initscript

* Thu Feb 28 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.8-5mdv2008.1
+ Revision: 176052
- also add P200
- added P200 to fix #38237 (Please include SNI support patch), requires openssl-0.9.8f+
  with "enable-tlsext". enabled in cooker since openssl-0.9.8g-2mdv2008.1

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2.2.8-4mdv2008.1
+ Revision: 170699
- rebuild

* Fri Jan 25 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.8-3mdv2008.1
+ Revision: 157967
- added P21 to fix upstream bug 43596
- make max number of dynamically loadable modules and default serverlimit
  tunable at RPM build time

* Thu Jan 24 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.8-2mdv2008.1
+ Revision: 157446
- rebuild

* Fri Jan 18 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.8-1mdv2008.1
+ Revision: 154623
- 2.2.8 (official release)

* Thu Jan 10 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.8-0.1mdv2008.1
+ Revision: 147741
- 2.2.8
- drop upstream implemented patches; P21,P22

* Thu Jan 10 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.7-0.3mdv2008.1
+ Revision: 147619
- added P22 to fix upstream bugs 19954 and 41056 and to make it pass perl-framework rev 610816

* Tue Jan 08 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.7-0.2mdv2008.1
+ Revision: 146486
- added P21 to fix upstream bug 38034

* Sat Jan 05 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.7-0.1mdv2008.1
+ Revision: 145819
- 2.2.7 (fixes roughly 50 bugs and CVE-2007-6421,CVE-2007-6422,CVE-2007-6388,CVE-2007-5000)
- dropped upstream implemented patches; P18,P21
- rediffed P6
- updated the itk patch (P100)
- updates perl-framework r609180 (S4)

* Fri Dec 21 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.6-10mdv2008.1
+ Revision: 136444
- rebuilt against new build deps

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Oct 21 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.6-9mdv2008.1
+ Revision: 100897
- rebuilt against new openssl

* Wed Sep 26 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.6-8mdv2008.0
+ Revision: 93150
- added P21 (fix for SSL library string regression (jorton))

* Sun Sep 23 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.6-7mdv2008.0
+ Revision: 92342
- fix #33944 (bad magic in %%pre for the apache-mod_ssl package)
- fix borked %%pre mod_ssl

* Wed Sep 19 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.6-6mdv2008.0
+ Revision: 91005
- added documentation for P20 as well

* Wed Sep 19 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.6-5mdv2008.0
+ Revision: 90824
- bump release
- added P20 to fix upstream bug 43415
- fix deps

* Sat Sep 15 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.6-4mdv2008.0
+ Revision: 87027
- bump release
- fix #32773 (mod_ssl configuration oddity)
- fix #33429 (mod_ssl post-install ssl certs handling breaks ldap server)
- updated the apache-README.urpmi file
- renamed the mod_ssl.default-vhost.conf file
- fix #33198 (Apache-mod_ssl incorrect placement of default ssl vhost config file.)

* Wed Sep 12 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.6-2mdv2008.0
+ Revision: 84664
- added the patches as well (duh!)
- added P19 to fix upstream bug 42829
- added upstream fixes (P17,P18)

* Fri Sep 07 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.6-1mdv2008.0
+ Revision: 81478
- 2.2.6 (release)

* Wed Sep 05 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.6-0.1mdv2008.0
+ Revision: 79882
- 2.2.6
- fix deps

* Thu Aug 16 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.5-0.3mdv2008.0
+ Revision: 64331
- added one missing dep for the test suite (perl-XML-Parser)

* Tue Aug 14 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.5-0.2mdv2008.0
+ Revision: 63025
- enable the test suite and add two missing deps

* Sat Aug 11 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.5-0.1mdv2008.0
+ Revision: 61969
- 2.2.5, closes CVE-2007-3847,CVE-2007-1863,CVE-2007-3304,CVE-2006-5752,CVE-2007-1862

* Wed Jul 25 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.4-17mdv2008.0
+ Revision: 55433
- don't provide apache-mpm for the experimental packages just yet...

* Mon Jul 09 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.4-16mdv2008.0
+ Revision: 50502
- fix #31813

* Sat Jul 07 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.4-15mdv2008.0
+ Revision: 49494
- P102: security fix for CVE-2006-5752
- P103: security fix for CVE-2007-1863
- P104: security fix for CVE-2007-3304

* Sun Jun 24 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.4-14mdv2008.0
+ Revision: 43768
- nope, the test suite don't want to work...
- updated perl-framework to r550280
- try and enable the test suite

* Sun Jun 24 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.4-13mdv2008.0
+ Revision: 43747
- fix #31562

* Fri Jun 22 2007 Andreas Hasenack <andreas@mandriva.com> 2.2.4-12mdv2008.0
+ Revision: 43203
- use serverbuild macro

* Wed Jun 20 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.4-11mdv2008.0
+ Revision: 41794
- added a patch for spurious open attempt on ".../file.html/.htaccess" by Allen Pulsifer (P16)
- added P50 that fixes CVE-2007-1862 and closes #31364

* Mon Jun 11 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.4-10mdv2008.0
+ Revision: 38032
- use distro conditional -fstack-protector
- use distro conditional -fstack-protector

* Tue May 29 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.4-9mdv2008.0
+ Revision: 32679
- new itk patch (P100)

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - no more references to certwatch

* Wed Apr 18 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.4-7mdv2008.0
+ Revision: 14838
- added a small patch to ab (P15)


* Wed Mar 14 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.4-6mdv2007.1
+ Revision: 143466
- update the README file

* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.4-5mdv2007.1
+ Revision: 140573
- rebuild

* Tue Feb 27 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.4-4mdv2007.1
+ Revision: 126497
- cleanup redundant deps
- added the event mpm
- added some crucial conflicts to the threaded mpm sub packages

* Sun Jan 28 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.4-3mdv2007.1
+ Revision: 114674
- added fcgi support to mod_rewrite from HEAD (P14)

* Thu Jan 18 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.4-2mdv2007.1
+ Revision: 110435
- added the EXPERIMENTAL mpm named "itk"

* Thu Jan 18 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.4-1mdv2007.1
+ Revision: 110066
- 2.2.4
- rediffed P1
- dropped P14, implemented upstream

* Thu Dec 14 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.3-4mdv2007.1
+ Revision: 96868
- new perl-framework (S4)

* Thu Nov 16 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.3-3mdv2007.1
+ Revision: 84764
- rebuild
- sync with fedora (2.2.3-6)
- bunzip sources

* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.3-1mdv2007.0
+ Revision: 63259
- Import apache

* Sat Jul 29 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.3-1mdv2007.0
- 2.2.3 (fixes CVE-2006-3747)
- updated the perl-framework to r426459

* Tue Jul 18 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.2-1mdv2007.0
- rebuild

* Fri Jun 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.2.2-6mdv2007.0
- drop rpm macros, now included in rpm-helper, to avoid build dependency on apache

* Tue Jun 06 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.2-5mdv2007.0
- comment DBDriver in the apache-mod_dbd conf to prevent a segfault

* Tue May 30 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.2-4mdv2007.0
- make the htcacheclean init script really read the config file (#22804)

* Mon May 15 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.2-3mdk
- fix a silly typo in S61

* Sat May 13 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.2-2mdk
- added french corrections to the html error messages (P12,#19542)
- sync with fedora (P13)

* Mon May 01 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.2-1mdk
- 2.2.2
- broke out the bundled dbd modules

* Sun Apr 23 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.2-0.1mdk
- 2.2.2

* Sun Apr 02 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.1-0.1mdk
- 2.2.1 (addresses CVE-2005-3352,CVE-2005-3357)
- updated the perl-framework (r390750)

* Sun Apr 02 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.0-11mdk
- rebuilt due to package loss

* Sat Apr 01 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.0-10mdk
- use a patch from svn that fixes numerous bugs (P11)
- drop upstream patches; P11,P12,P14,P15,P100,P101

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.0-9mdk
- update perl-framework (S4) to r376644
- enable the test suite since the culpit turned out to be RTLD_DEEPBIND 
  that don't seem to work with our glibc just yet (#21012)
- fix deps

* Sun Feb 05 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.0-8mdk
- rebuilt due to package loss

* Sat Feb 04 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.0-7mdk
- sync with fedora (2.2.0-5) adds fixes for CVE-2005-3357,CVE-2005-3352

* Sat Jan 07 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.0-6mdk
- sync with fedora (2.2.0-4)

* Fri Dec 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2.0-5mdk
- really fix the mod_ssl stuff (#20271) (thanks buchan)

* Mon Dec 19 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2.0-4mdk
- fix deps
- fix the mod_ssl stuff

* Tue Dec 13 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2.0-3mdk
- oops!, mod_charset_lite was not removed so re-add it
- added another module not built per default; mod_authn_alias
- added two html files in ascii format and update README.urpmi

* Tue Dec 13 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2.0-2mdk
- fix deps

* Mon Dec 12 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2.0-1mdk
- 2.2.0
- merge with the apache2 2.2.0 package in contrib
- added fedora patches and changes
- major packaging changes, cleanups, config changes, etc
- dropped the itk mpm
- updated the perl-framework suite to r355498 (S4)
- moved back the compilation of mod_ssl to this package, there
  were no benefits doing it as before (like security updates)
- added the htcacheclean sub package
- added memcache support to mod_ssl (P13)
- updated the README.urpmi file to reflect changes

* Thu Nov 17 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.55-6mdk
- added the itk mpm (enable with "--with itp").

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.55-5mdk
- rebuilt against openssl-0.9.8a

* Sun Nov 06 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.55-4mdk
- added P105 to fix a problem with mod_cgid when module other than 
  mod_suexec is providing uid/gid (ASF #36410)
- disable peruser, unstable, unmaintained...
- activate --enable-exception-hook
- broke out the two extra mod_backtrace and mod_whatkilledus modules

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.55-3mdk
- rebuilt to provide a -debug package too

* Mon Oct 17 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.55-2mdk
- rebuilt against correct apr-0.9.7

* Sat Oct 15 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.55-1mdk
- 2.0.55 (addresses CAN-2005-2700, CAN-2005-2491, CAN-2005-2088, 
  CAN-2005-2728, CAN-2005-2088, CAN-2005-1268)
- rediffed P22
- drop upstream patches; P32, P33, P34, P35, P122, P123, P124, P125
- pass "-DLDAP_DEPRECATED" to the CFLAGS
- fix deps (apr 0.9.7)
- ship mod_echo too
- fix #18764

* Tue Sep 13 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54-13mdk
- peruser-0.1.6

* Sat Sep 10 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54-12mdk
- added P124 to plug CAN-2005-2700
- added P125 to plug CAN-2005-2728

* Tue Sep 06 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54-11mdk
- rebuild

* Wed Aug 31 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54-10mdk
- rebuilt against new openldap-2.3.6 libs

* Sat Jul 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54-9mdk
- added another work around for a rpm bug

* Sat Jul 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54-8mdk
- added P122 to plug CAN-2005-2088 (redhat)
- added P123 to plug CVE CAN-2005-1268 (redhat)
- added a work around for a rpm bug, "Requires(foo,bar)" don't work

* Tue Jul 12 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54-7mdk
- fix descriptions

* Fri Jul 01 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54-6mdk
- peruser-0.1.5

* Thu Jun 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54-5mdk
- peruser-0.1.4
- added a rpm macros file for web applications to utilize (Guillaume Rousse)

* Tue Jun 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54-4mdk
- peruser-0.1.3

* Sun Jun 05 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54-3mdk
- fix provides
- added the README.urpmi file to the apache-base sub package to depict
  the most significant changes.
- better descriptions for certain sub packages
- broke out mod_userdir into its own sub package

* Sun Jun 05 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.0.54-2mdk
- add BuildRequires: zlib-devel

* Fri May 27 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54-1mdk
- let's the apache2/apache renaming begin
- added new P45 and P72 (fedora)
- peruser-0.1.2
- sync with fedora
- call libtool directly from the config_vars.mk file
- use modules.d to load modules instead of conf.d
- provide the manual from another spec src.rpm
- %%distribution is no more, use a local %%TAG (Mandriva Linux) instead
- strip the binaries (for now)
- rename apache2-common to apache-base to solve a cicrular deps problem
- use new rpm-4.4.x pre,post magic

* Wed Apr 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.54-0.2mdk
- peruser-r10

* Wed Apr 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.54-0.1mdk
- 2.0.54
- rediff P45
- deactivate P72
- drop upstream implemented P95
- peruser-r9

* Thu Mar 31 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53-9mdk
- the WORKER, PERUSER and PREFORK tagging was not working as
  intended, fixed now

* Thu Mar 17 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53-8mdk
- use the %%mkrel macro
- drop the %%distribution redefine
- misc deps cleanups
- fix deps on config files
- added some missing stuff
- drop metuxmpm as it  seems to be unmaintained

* Sun Mar 06 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53-7mdk
- drop the requirements of libtool for the apache2 package

* Fri Mar 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53-6mdk
- updated to peruser-r8 (P105)

* Sun Feb 27 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53-5mdk
- fix %%post and %%postun to prevent double restarts

* Tue Feb 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53-4mdk
- spec file cleanups, remove the ADVX-build stuff

* Fri Feb 11 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53-3mdk
- don't screw up netcraft history (J-M)

* Thu Feb 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53-2mdk
- used a more correct P75 (fedora)

* Tue Feb 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53-1mdk
- 2.0.53
- added the LDAP socket timeout patch (P95)

* Sun Feb 06 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53-0.rc1.1mdk
- 2.0.53-rc1
- build and provide the new dumpio module
- rediffed P75
- drop redundant and upstream implemented patches;
  - P49 (MDK #9850)
  - P95 (util_ldap_cache_mgr.c.patch)
  - P200 (CAN-2004-0885)
  - P201 (CAN-2004-0942)

* Fri Feb 04 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.0.52-18mdk
- rebuild for ldap2.2_7

* Mon Jan 31 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52-17mdk
- fix deps and conditional %%multiarch

* Mon Jan 31 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52-16mdk
- fix strange release gap

* Thu Jan 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52-15mdk
- there's a new peruser patch (rediffed from the r7 patch),
  spotted by Lukas Vesely
- use less restrictive attribs on most .conf files, set it when
  needed instead (pleases rpmlint...)
- force permissions on certain files even if not needed

* Wed Jan 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52-14mdk
- added P84 (fedora) to make ab-ssl work
- added one forgotten official patch (P95)

* Tue Jan 11 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52-13mdk
- make --with debug work

* Tue Jan 11 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52-12mdk
- provide logfiles too if a debug build

* Fri Dec 03 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52-11mdk
- added P49 in an attempt to fix long standing #9850 (this 
  fix will be included in 2.0.53)

* Sun Nov 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52-10mdk
- merge lib64 fixes by Gwenole Beauchesne that got lost for some reason
- remove an appended ".so" for the mod_auth_ldap module that seems to 
  have been in here for ages.

* Sat Nov 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52-9mdk
- rebuilt against new pcre libs

* Thu Nov 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52-8mdk
- rebuilt against apr/apu 0.9.5 final

* Thu Nov 18 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52-7mdk
- provide metuxmpm and the new peruser mpm's too

* Thu Nov 18 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52-6mdk
- fix the config_vars.mk file again

* Thu Nov 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52-5mdk
- fix for wrongly assuming ipv6 on listen (P48)
- added a security fix (P201) that addresses CAN-2004-0942

* Tue Nov 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52-4mdk
- rebuild against newish apr libs

* Mon Oct 18 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52-3mdk
- added a security fix (P200) that addresses CAN-2004-0885
- added better commented patches from fedora

* Thu Oct 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52-2mdk
- added P93 & P94 from fedora/redhat

* Wed Sep 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52-1mdk
- 2.0.52 (includes the CAN-2004-0811 fix)
- drop P8, it's integrated upstream

* Sat Sep 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.51-2mdk
- added a security fix (P200) that addresses CAN-2004-0811

* Fri Sep 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.51-1mdk
- rediff a lot of patches
- drop patches that are either implemented upstream or redundant

* Thu Sep 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50-6mdk
- added security fixes to the source for mod_ssl from ASF (P202 & P203)
  that addresses CAN-2004-0747 and CAN-2004-0809

* Fri Sep 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50-5mdk
- added security fixes to the source for mod_ssl from suse (P200 & P201)
  that addresses CAN-2004-0748 and CAN-2004-0751

* Wed Aug 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50-4mdk
- rebuilt against new db4.2 apr

* Thu Jul 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50-3mdk
- have apache2-devel require pcre-devel (Christiaan Welvaart)

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50-2mdk
- remove redundant provides
- re-added P45,P84,P85 (fedora)
- added fixed P39 (fedora)

* Thu Jul 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50-1mdk
- 2.0.50
- enable mod_log_forensic
- drop P45,P46,P48,P49,P51,P53,P54,P55,P81,P84,P85,P89 and P90, these are
  integrated upstream as well as fixes for CAN-2004-0488 and CAN-2004-0493

* Thu Jun 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.49-12mdk
- move mod_ssl and to an external source rpm package (the ldap stuff may follow)
- remove distcache stuff as we build it using an external source rpm package
- sync with fedora (P7, P55) (2.0.49-7)

* Sat Jun 19 2004 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.49-11mdk
- rebuild with new openssl
- use fcntl for mutexes instead of posix mutexes (which won't work on
  non-NPTL kernels and some older processors), or sysvsem which are not
  resistand under high load.
- should fix bug #9101 at last
- tested under heavy load: 100,000 hits in 4 minutes, 1000 simultaneous
  connections, load average went up to 835.40, not a single failed request. 
- tested under NPTL kernel and User-Mode Linux kernel using linuxthreads.

* Fri Jun 18 2004 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.49-10mdk
- test stability of different mutexes

* Fri Jun 18 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.49-9mdk
- sync with fedora (P52,P53,P54,P72,P91,P92,P300)
- drop P100 in favour to P54
- bump server limit again
- fix deps
- provide a cleaner source package

* Fri Jun 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.49-8mdk
- fix deps

* Thu May 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.49-7mdk
- fix deps and brp-compress location

* Wed May 19 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.49-6mdk
- add the metux mpm (P104)
- bump DEFAULT_SERVER_LIMIT for the prefork mpm
- use the %%configure2_5x macro

* Sun May 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.49-5mdk
- use --enable-exception-hook if a debug build
- added P103 (fix mod_ldap cache file location) and add the ghostfile
- new P90 (jorton) fix #9120
- added S6 & S7 (mod_backtrace & mod_whatkilledus is built if a debug build)

* Sun May 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.49-4mdk
- sync with fedora (P51)

* Sat May 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.49-3mdk
- rebuilt

* Tue Apr 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.49-2mdk
- sync with fedora (P90)

* Sun Apr 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.49-1mdk
- split out the apr suite as apr-0.9.5-1mdk and apr-util-0.9.5-1mdk
- stole a lot of stuff from fedora
- removed a lot of patches
- made a lot of spec file changes
- require new ADVX-build >= 10 (and fix #5732)

* Mon Mar 15 2004 Michael Scherer <misc@mandrake.org> 2.0.48-6mdk
- /var/lib/dav owned by apache, otherwise, mod_dav doesn't work properly
- fix #6208 ( mod_ssl error due to incorrect permission )
- fix various [DIRM],[CFLP]
- remove forbidden words
- remove debug stuff for release

